petsc-3.4.2 2013-07-02

# SNESVISetVariableBounds

Sets the lower and upper bounds for the solution vector. xl <= x <= xu.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESVISetVariableBounds(SNES snes, Vec xl, Vec xu)

### Input Parameters

snes -the SNES context.
xl -lower bound.
xu -upper bound.

### Notes

If this routine is not called then the lower and upper bounds are set to SNES_VI_INF and SNES_VI_NINF respectively during SNESSetUp().

Level:advanced
Location:src/snes/impls/vi/vi.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex53.c.html
src/snes/examples/tutorials/ex54.c.html
src/snes/examples/tutorials/ex55.c.html
src/snes/examples/tutorials/ex60.c.html
src/snes/examples/tutorials/ex61.c.html
src/snes/examples/tutorials/ex63.c.html
src/snes/examples/tutorials/ex633d_db.c.html
src/snes/examples/tutorials/ex64.c.html
src/snes/examples/tutorials/ex65.c.html